<?php
 
class VstBoton_Cabecera{
	
	protected $_id = null;
	protected $_icono = null;
	protected $_enlace;
	protected $_title;
	protected $_texto;
	protected $estaSeleccionado = false;
	
	const icon_actualizar = 'fa-refresh';
	const icon_inicio = 'fa-home';
	const icon_volver = 'fa-reply';
	const icon_info = 'fa-info-circle';
	const icon_encoche = 'fa-tachometer';
	const icon_francia = 'fa-tasks';
	const icon_tareas = 'fa-check-square-o';
	const icon_viajes_francia = 'fa-bus';
	const icon_viajes_espaņa = 'fa-user';
	const icon_viajes_todos = 'fa-globe';
	const icon_euro = 'fa-euro';
	const icon_ticket = 'fa-credit-card';
	
	
	public function __construct($enlace, $icono , $title, $id = null, $texto = null){
		$this->_id = $id;
		$this->_enlace = $enlace;
		$this->_texto = $texto;
		$this->_title = $title;
		$this->_icono = $icono; 
	}


	public function getEstaSeleccionado() {
	    return $this->estaSeleccionado;
	}
	public function setEstaSeleccionado($estaSeleccionado) {
	    $this->estaSeleccionado = $estaSeleccionado;
	}
	private function renderSeleccionado(){
		if ($this->estaSeleccionado)
			return ' app_seleccionado ';
		else
			return '';
	}
	
	public function setDestino($destino){
		$this->_destino = $destino;
	}
	public function getDestino(){
		return $this->_destino;
	}
	public function setModal($valor){
		$this->_modal = $valor;
	}
	
	public function setClase($valor){
		$this->_clase = $valor;
	}
	public function setEnlace($enlace){
		$this->_enlace  = $enlace;
	}
	public function setMensajeConfirmacion($mensaje){
		$this->_mensaje_confirmacion = $mensaje;
	}
	
	public function setIcono($icono){
		$this->_icono = $icono;
	}
	public function setTitle($title){
		$this->_title = $title;
	}
	public function setTexto($texto){
		$this->_texto = $texto;
	}
	public function setBaseUrl($texto){
		$this->_baseUrl = $texto;
	}
	public function getBaseUrl(){
		return $this->_baseUrl;
	}
	
	public function render(){

		$html = '<div '.((!is_null($this->_id)) ? 'id="'.$this->_id.'" ':'').' class="btn-header transparent pull-right">
				<span><a class="'.$this->renderSeleccionado().'"'. ( (!is_null($this->_title)) ? 'title="'.$this->_title.'" ':''  ) .' href="'.BASEURL.$this->_enlace.'"> 
						<i class="fa fa-lg '.$this->_icono.'"></i></a></span></div>';
		
		return $html;
	}
	
	
}